Skip to main content
POST
Create a new feature flag configuration

Body

application/json

Request to create a feature flag

featureKey
string
required

Key of the feature flag

Maximum string length: 255
Pattern: ^[a-z0-9_-]{1,255}$
name
string
required

Name of the feature flag

Maximum string length: 100
siteCode
string
required

Unique ID of the website/app for your project in the Kameleoon app

Required string length: 10
attributionWindow
integer<int64>

Attribution window in milliseconds

bucketingKey
object

Bucketing key used for the feature flag

description
string

Description of the feature

Maximum string length: 5000
environmentConfigurations
object[]

Environment configurations for the feature flag

primaryGoalId
integer<int32>

Primary goal associated with the feature flag

secondaryGoalIds
integer<int32>[]

Secondary goals associated with the feature flag

Secondary goals associated with the feature flag

tags
string[]

List of tags associated with the feature flag

List of tags associated with the feature flag

variables
object[]

Variables associated with the feature flag

variations
object[]

Variations for the feature flag

Response

Created

Configuration for the feature flag

featureKey
string
required

Key used to identify the feature flag

Required string length: 1 - 255
id
integer<int32>
required
read-only

System-generated unique string of integers to identify a feature flag

name
string
required

Name of the feature flag

Required string length: 1 - 100
siteCode
string
required

Unique ID for the project in the Kameleoon app. This field is optional. Include it as a query parameter.

Required string length: 1 - 10
archived
boolean
attributionWindow
integer<int64>

Attribution window

bucketingKey
object

Bucketing key used for the feature flag

createdById
integer<int32>
read-only

Created by ID

dateContentModified
string<date-time>
read-only

Date and time when the feature flag configuration content was last modified

dateCreated
string<date-time>
read-only

Date and time when the feature flag configuration was created

dateModified
string<date-time>
read-only

Date and time when the feature flag configuration was last modified

description
string

Description of the feature

Maximum string length: 5000
environmentConfigurations
object[]

Environment-specific configurations for the feature flag

health
enum<string>
read-only

Health of the feature flag (for temporary ones)

Available options:
HEALTHY,
OUTDATED,
PERMANENT,
STALE
primaryGoalId
integer<int32>

Primary goal of the feature flag

secondaryGoalIds
integer<int32>[]

Secondary goals associated with the feature flag

Secondary goals associated with the feature flag

tags
string[]

List of tags associated with the feature flag. This field is optional. Include it as a query parameter.

List of tags associated with the feature flag. This field is optional. Include it as a query parameter.

teamId
integer<int64>
read-only

Team ID

variables
object[]

Variables associated with the feature flag

variations
object[]

Variations associated with the feature flag